#!/bin/bash
oss_name=inetutils
oss_version=1.4.2

rm -rf ${oss_name}-${oss_version}
tar zxvf ${oss_name}-${oss_version}.tar.gz
patch -p0 < ${oss_name}-${oss_version}-gcc4_fixes-1.patch
cd ${oss_name}-${oss_version}
mv libicmp/icmp_timestamp.c libicmp/icmp_timestamp.c.bak
echo "#define NULL (0)" > libicmp/icmp_timestamp.c
cat libicmp/icmp_timestamp.c.bak >> libicmp/icmp_timestamp.c
./configure --prefix=${TAR_INSTALL_PATH}/${oss_name} --host=${OSS_HOST} CFLAGS=-Wno-return-type
if [ $? -ne 0 ]; then
    echo "Configure ${oss_name} fail"
    exit  1
fi
make
if [ $? -ne 0 ]; then
    echo "Make ${oss_name} fail"
    exit  1
fi

make install
if [ $? -ne 0 ]; then
    echo "Make install ${oss_name} fail"
    exit  1
fi
cd ${TAR_INSTALL_PATH}/${oss_name} 
mkdir usr
mv bin usr/
mv info usr/
mv man usr/
mv libexec usr/sbin/
rm -f usr/bin/logger
rm -f usr/bin/whois
rm -f usr/sbin/syslogd
rm -f usr/info/dir
